javax.swing.plaf.basic

## Class BasicDesktopPaneUI.CloseAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicDesktopPaneUI.CloseAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicDesktopPaneUI

    protected class BasicDesktopPaneUI.CloseAction
    extends AbstractAction

Handles closing an internal frame.

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `BasicDesktopPaneUI.CloseAction()`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent evt)` Invoked when an action occurs.
`boolean` `isEnabled()` Returns true if the action is enabled.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicDesktopPaneUI.CloseAction

    protected BasicDesktopPaneUI.CloseAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent evt)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

#### isEnabled

    public boolean isEnabled()

Description copied from class: `AbstractAction`
Returns true if the action is enabled.

Specified by:
  `isEnabled` in interface `Action`
Overrides:
  `isEnabled` in class `AbstractAction`
Returns:
  true if the action is enabled, false otherwise
See Also:
  `Action.isEnabled()`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.